



// Transactions

var database = {



        create_db: function(){
            console.log("create_db");
            var shortName = 'easy_proposal2234e34'; 
            var version = '1.0'; 
            var displayName = 'Sample Database'; 
            var maxSize = 65536; // in bytes 
            this.db = openDatabase(shortName, version, displayName, maxSize); 
        },


        init: function(){
            console.log("init");
            this.db.transaction(database.db_first_run, database.errorCB, database.successCB);
            database.check_settings;
        },

        

        prepare_settings: function(){
            console.log("prepare_settings");
            this.db.transaction(database.prepare_settings2, database.errorCB, database.successCB);
        },
        prepare_settings2: function(tx) {
            console.log("prepare_settings2");
            tx.executeSql("INSERT INTO settings (id, company, morada, telefone, email, site, logo, moeda, comentario_email) VALUES (1, '', '', '', '', '', '', '', '')");
        },

        db_first_run: function(tx) {
            console.log("db_first_run");
            tx.executeSql('CREATE TABLE IF NOT EXISTS clientes (id INTEGER PRIMARY KEY AUTOINCREMENT, nome, telefone, email, morada)');
            tx.executeSql('CREATE TABLE IF NOT EXISTS propostas (id INTEGER PRIMARY KEY AUTOINCREMENT, title, client, message, produtos, data, total)');
            tx.executeSql('CREATE TABLE IF NOT EXISTS produtos (id INTEGER PRIMARY KEY AUTOINCREMENT, nome, descricao, preco, iva)');
            tx.executeSql('CREATE TABLE IF NOT EXISTS settings (id INTEGER PRIMARY KEY AUTOINCREMENT, company, morada, telefone, email, site, logo, moeda, comentario_email)');
            tx.executeSql('CREATE TABLE IF NOT EXISTS moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag)');
            
            console.log("db_first_run FIM");
            database.check_settings();
        },


        check_settings: function(tx){
            console.log("check_settings");
            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM settings";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {

                          if (!result.rows.length)
                          {
                              database.prepare_settings();
                              database.prepare_currency();
                              
                              Lungo.Notification.show();
                              $("section#settings nav").hide();
                              Lungo.Router.section("settings");

                          } else {
                            database.list_proposta();
                            Lungo.Notification.hide();
                          }
                          
                          
                        }, database.errorCB);
                      });
        },

        prepare_currency: function(tx){
            console.log("prepare_currency");
            this.db.transaction(database.prepare_currency2, database.errorCB, database.successCB);
        },

        prepare_currency2: function(tx){
            console.log("prepare_currency2");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (1, 'Afghanistan', 'AF', 'AFG', 4, 'AFN', 'Afghani', 'AFN', 'AF.png')");
            
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (2, 'Albania', 'AL', 'ALB', 8, 'ALL', 'Lek', 'Lek', 'AL.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (3, 'Algeria', 'DZ', 'DZA', 12, 'DZD', 'Dinar', 'DZD', 'DZ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (4, 'American Samoa', 'AS', 'ASM', 16, 'USD', 'Dollar', '$', 'AS.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (5, 'Andorra', 'AD', 'AND', 20, 'EUR', 'Euro', '€', 'AD.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (6, 'Angola', 'AO', 'AGO', 24, 'AOA', 'Kwanza', 'Kz', 'AO.png')");
            
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (7, 'Anguilla', 'AI', 'AIA', 660, 'XCD', 'Dollar', '$', 'AI.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (9, 'Antigua and Barbuda', 'AG', 'ATG', 28, 'XCD', 'Dollar', '$', 'AG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (10, 'Argentina', 'AR', 'ARG', 32, 'ARS', 'Peso', '$', 'AR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (11, 'Armenia', 'AM', 'ARM', 51, 'AMD', 'Dram', 'AMD', 'AM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (12, 'Aruba', 'AW', 'ABW', 533, 'AWG', 'Guilder', 'ƒ', 'AW.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (13, 'Australia', 'AU', 'AUS', 36, 'AUD', 'Dollar', '$', 'AU.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (14, 'Austria', 'AT', 'AUT', 40, 'EUR', 'Euro', '€', 'AT.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (15, 'Azerbaijan', 'AZ', 'AZE', 31, 'AZN', 'Manat', 'ман', 'AZ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (16, 'Bahamas', 'BS', 'BHS', 44, 'BSD', 'Dollar', '$', 'BS.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (17, 'Bahrain', 'BH', 'BHR', 48, 'BHD', 'Dinar', 'BHD', 'BH.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (18, 'Bangladesh', 'BD', 'BGD', 50, 'BDT', 'Taka', NULL, 'BD.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (19, 'Barbados', 'BB', 'BRB', 52, 'BBD', 'Dollar', '$', 'BB.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (20, 'Belarus', 'BY', 'BLR', 112, 'BYR', 'Ruble', 'p.', 'BY.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (21, 'Belgium', 'BE', 'BEL', 56, 'EUR', 'Euro', '€', 'BE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (22, 'Belize', 'BZ', 'BLZ', 84, 'BZD', 'Dollar', 'BZ$', 'BZ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (23, 'Benin', 'BJ', 'BEN', 204, 'XOF', 'Franc', NULL, 'BJ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (24, 'Bermuda', 'BM', 'BMU', 60, 'BMD', 'Dollar', '$', 'BM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (25, 'Bhutan', 'BT', 'BTN', 64, 'BTN', 'Ngultrum', NULL, 'BT.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (26, 'Bolivia', 'BO', 'BOL', 68, 'BOB', 'Boliviano', '$b', 'BO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (27, 'Bosnia and Herzegovina', 'BA', 'BIH', 70, 'BAM', 'Marka', 'KM', 'BA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (28, 'Botswana', 'BW', 'BWA', 72, 'BWP', 'Pula', 'P', 'BW.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (29, 'Bouvet Island', 'BV', 'BVT', 74, 'NOK', 'Krone', 'kr', 'BV.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (30, 'Brazil', 'BR', 'BRA', 76, 'BRL', 'Real', 'R$', 'BR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (31, 'British Indian Ocean Territory', 'IO', 'IOT', 86, 'USD', 'Dollar', '$', 'IO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (32, 'British Virgin Islands', 'VG', 'VGB', 92, 'USD', 'Dollar', '$', 'VG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (33, 'Brunei', 'BN', 'BRN', 96, 'BND', 'Dollar', '$', 'BN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (34, 'Bulgaria', 'BG', 'BGR', 100, 'BGN', 'Lev', 'лв', 'BG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (35, 'Burkina Faso', 'BF', 'BFA', 854, 'XOF', 'Franc', NULL, 'BF.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (36, 'Burundi', 'BI', 'BDI', 108, 'BIF', 'Franc', NULL, 'BI.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (37, 'Cambodia', 'KH', 'KHM', 116, 'KHR', 'Riels', '៛', 'KH.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (38, 'Cameroon', 'CM', 'CMR', 120, 'XAF', 'Franc', 'FCF', 'CM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (39, 'Canada', 'CA', 'CAN', 124, 'CAD', 'Dollar', '$', 'CA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (40, 'Cape Verde', 'CV', 'CPV', 132, 'CVE', 'Escudo', NULL, 'CV.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (41, 'Cayman Islands', 'KY', 'CYM', 136, 'KYD', 'Dollar', '$', 'KY.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (42, 'Central African Republic', 'CF', 'CAF', 140, 'XAF', 'Franc', 'FCF', 'CF.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (43, 'Chad', 'TD', 'TCD', 148, 'XAF', 'Franc', NULL, 'TD.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (44, 'Chile', 'CL', 'CHL', 152, 'CLP', 'Peso', NULL, 'CL.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (45, 'China', 'CN', 'CHN', 156, 'CNY', 'Yuan Renminbi', '¥', 'CN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (46, 'Christmas Island', 'CX', 'CXR', 162, 'AUD', 'Dollar', '$', 'CX.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (47, 'Cocos Islands', 'CC', 'CCK', 166, 'AUD', 'Dollar', '$', 'CC.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (48, 'Colombia', 'CO', 'COL', 170, 'COP', 'Peso', '$', 'CO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (49, 'Comoros', 'KM', 'COM', 174, 'KMF', 'Franc', NULL, 'KM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (50, 'Cook Islands', 'CK', 'COK', 184, 'NZD', 'Dollar', '$', 'CK.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (51, 'Costa Rica', 'CR', 'CRI', 188, 'CRC', 'Colon', '₡', 'CR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (52, 'Croatia', 'HR', 'HRV', 191, 'HRK', 'Kuna', 'kn', 'HR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (53, 'Cuba', 'CU', 'CUB', 192, 'CUP', 'Peso', '₱', 'CU.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (54, 'Cyprus', 'CY', 'CYP', 196, 'CYP', 'Pound', NULL, 'CY.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (55, 'Czech Republic', 'CZ', 'CZE', 203, 'CZK', 'Koruna', 'Kč', 'CZ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (56, 'Democratic Republic of the Congo', 'CD', 'COD', 180, 'CDF', 'Franc', NULL, 'CD.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (57, 'Denmark', 'DK', 'DNK', 208, 'DKK', 'Krone', 'kr', 'DK.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (58, 'Djibouti', 'DJ', 'DJI', 262, 'DJF', 'Franc', NULL, 'DJ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (59, 'Dominica', 'DM', 'DMA', 212, 'XCD', 'Dollar', '$', 'DM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (60, 'Dominican Republic', 'DO', 'DOM', 214, 'DOP', 'Peso', 'RD$', 'DO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (61, 'East Timor', 'TL', 'TLS', 626, 'USD', 'Dollar', '$', 'TL.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (62, 'Ecuador', 'EC', 'ECU', 218, 'USD', 'Dollar', '$', 'EC.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (63, 'Egypt', 'EG', 'EGY', 818, 'EGP', 'Pound', '£', 'EG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (64, 'El Salvador', 'SV', 'SLV', 222, 'SVC', 'Colone', '$', 'SV.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (65, 'Equatorial Guinea', 'GQ', 'GNQ', 226, 'XAF', 'Franc', 'FCF', 'GQ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (66, 'Eritrea', 'ER', 'ERI', 232, 'ERN', 'Nakfa', 'Nfk', 'ER.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (67, 'Estonia', 'EE', 'EST', 233, 'EEK', 'Kroon', 'kr', 'EE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (68, 'Ethiopia', 'ET', 'ETH', 231, 'ETB', 'Birr', NULL, 'ET.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (69, 'Falkland Islands', 'FK', 'FLK', 238, 'FKP', 'Pound', '£', 'FK.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (70, 'Faroe Islands', 'FO', 'FRO', 234, 'DKK', 'Krone', 'kr', 'FO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (71, 'Fiji', 'FJ', 'FJI', 242, 'FJD', 'Dollar', '$', 'FJ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (72, 'Finland', 'FI', 'FIN', 246, 'EUR', 'Euro', '€', 'FI.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (73, 'France', 'FR', 'FRA', 250, 'EUR', 'Euro', '€', 'FR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (74, 'French Guiana', 'GF', 'GUF', 254, 'EUR', 'Euro', '€', 'GF.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (75, 'French Polynesia', 'PF', 'PYF', 258, 'XPF', 'Franc', NULL, 'PF.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (76, 'French Southern Territories', 'TF', 'ATF', 260, 'EUR', 'Euro  ', '€', 'TF.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (77, 'Gabon', 'GA', 'GAB', 266, 'XAF', 'Franc', 'FCF', 'GA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (78, 'Gambia', 'GM', 'GMB', 270, 'GMD', 'Dalasi', 'D', 'GM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (79, 'Georgia', 'GE', 'GEO', 268, 'GEL', 'Lari', NULL, 'GE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (80, 'Germany', 'DE', 'DEU', 276, 'EUR', 'Euro', '€', 'DE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (81, 'Ghana', 'GH', 'GHA', 288, 'GHC', 'Cedi', '¢', 'GH.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (82, 'Gibraltar', 'GI', 'GIB', 292, 'GIP', 'Pound', '£', 'GI.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (83, 'Greece', 'GR', 'GRC', 300, 'EUR', 'Euro', '€', 'GR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (84, 'Greenland', 'GL', 'GRL', 304, 'DKK', 'Krone', 'kr', 'GL.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (85, 'Grenada', 'GD', 'GRD', 308, 'XCD', 'Dollar', '$', 'GD.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (86, 'Guadeloupe', 'GP', 'GLP', 312, 'EUR', 'Euro', '€', 'GP.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (87, 'Guam', 'GU', 'GUM', 316, 'USD', 'Dollar', '$', 'GU.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (88, 'Guatemala', 'GT', 'GTM', 320, 'GTQ', 'Quetzal', 'Q', 'GT.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (89, 'Guinea', 'GN', 'GIN', 324, 'GNF', 'Franc', NULL, 'GN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (90, 'Guinea-Bissau', 'GW', 'GNB', 624, 'XOF', 'Franc', NULL, 'GW.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (91, 'Guyana', 'GY', 'GUY', 328, 'GYD', 'Dollar', '$', 'GY.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (92, 'Haiti', 'HT', 'HTI', 332, 'HTG', 'Gourde', 'G', 'HT.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (93, 'Heard Island and McDonald Islands', 'HM', 'HMD', 334, 'AUD', 'Dollar', '$', 'HM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (94, 'Honduras', 'HN', 'HND', 340, 'HNL', 'Lempira', 'L', 'HN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (95, 'Hong Kong', 'HK', 'HKG', 344, 'HKD', 'Dollar', '$', 'HK.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (96, 'Hungary', 'HU', 'HUN', 348, 'HUF', 'Forint', 'Ft', 'HU.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (97, 'Iceland', 'IS', 'ISL', 352, 'ISK', 'Krona', 'kr', 'IS.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (98, 'India', 'IN', 'IND', 356, 'INR', 'Rupee', '₹', 'IN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (99, 'Indonesia', 'ID', 'IDN', 360, 'IDR', 'Rupiah', 'Rp', 'ID.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (100, 'Iran', 'IR', 'IRN', 364, 'IRR', 'Rial', '﷼', 'IR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (101, 'Iraq', 'IQ', 'IRQ', 368, 'IQD', 'Dinar', NULL, 'IQ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (102, 'Ireland', 'IE', 'IRL', 372, 'EUR', 'Euro', '€', 'IE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (103, 'Israel', 'IL', 'ISR', 376, 'ILS', 'Shekel', '₪', 'IL.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (104, 'Italy', 'IT', 'ITA', 380, 'EUR', 'Euro', '€', 'IT.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (105, 'Ivory Coast', 'CI', 'CIV', 384, 'XOF', 'Franc', NULL, 'CI.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (106, 'Jamaica', 'JM', 'JAM', 388, 'JMD', 'Dollar', '$', 'JM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (107, 'Japan', 'JP', 'JPN', 392, 'JPY', 'Yen', '¥', 'JP.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (108, 'Jordan', 'JO', 'JOR', 400, 'JOD', 'Dinar', NULL, 'JO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (109, 'Kazakhstan', 'KZ', 'KAZ', 398, 'KZT', 'Tenge', 'лв', 'KZ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (110, 'Kenya', 'KE', 'KEN', 404, 'KES', 'Shilling', NULL, 'KE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (111, 'Kiribati', 'KI', 'KIR', 296, 'AUD', 'Dollar', '$', 'KI.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (112, 'Kuwait', 'KW', 'KWT', 414, 'KWD', 'Dinar', NULL, 'KW.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (113, 'Kyrgyzstan', 'KG', 'KGZ', 417, 'KGS', 'Som', 'лв', 'KG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (114, 'Laos', 'LA', 'LAO', 418, 'LAK', 'Kip', '₭', 'LA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (115, 'Latvia', 'LV', 'LVA', 428, 'LVL', 'Lat', 'Ls', 'LV.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (116, 'Lebanon', 'LB', 'LBN', 422, 'LBP', 'Pound', '£', 'LB.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (117, 'Lesotho', 'LS', 'LSO', 426, 'LSL', 'Loti', 'L', 'LS.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (118, 'Liberia', 'LR', 'LBR', 430, 'LRD', 'Dollar', '$', 'LR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (119, 'Libya', 'LY', 'LBY', 434, 'LYD', 'Dinar', NULL, 'LY.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (120, 'Liechtenstein', 'LI', 'LIE', 438, 'CHF', 'Franc', 'CHF', 'LI.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (121, 'Lithuania', 'LT', 'LTU', 440, 'LTL', 'Litas', 'Lt', 'LT.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (122, 'Luxembourg', 'LU', 'LUX', 442, 'EUR', 'Euro', '€', 'LU.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (123, 'Macao', 'MO', 'MAC', 446, 'MOP', 'Pataca', 'MOP', 'MO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (124, 'Macedonia', 'MK', 'MKD', 807, 'MKD', 'Denar', 'ден', 'MK.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (125, 'Madagascar', 'MG', 'MDG', 450, 'MGA', 'Ariary', NULL, 'MG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (126, 'Malawi', 'MW', 'MWI', 454, 'MWK', 'Kwacha', 'MK', 'MW.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (127, 'Malaysia', 'MY', 'MYS', 458, 'MYR', 'Ringgit', 'RM', 'MY.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (128, 'Maldives', 'MV', 'MDV', 462, 'MVR', 'Rufiyaa', 'Rf', 'MV.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (129, 'Mali', 'ML', 'MLI', 466, 'XOF', 'Franc', NULL, 'ML.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (130, 'Malta', 'MT', 'MLT', 470, 'MTL', 'Lira', NULL, 'MT.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (131, 'Marshall Islands', 'MH', 'MHL', 584, 'USD', 'Dollar', '$', 'MH.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (132, 'Martinique', 'MQ', 'MTQ', 474, 'EUR', 'Euro', '€', 'MQ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (133, 'Mauritania', 'MR', 'MRT', 478, 'MRO', 'Ouguiya', 'UM', 'MR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (134, 'Mauritius', 'MU', 'MUS', 480, 'MUR', 'Rupee', '₨', 'MU.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (135, 'Mayotte', 'YT', 'MYT', 175, 'EUR', 'Euro', '€', 'YT.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (136, 'Mexico', 'MX', 'MEX', 484, 'MXN', 'Peso', '$', 'MX.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (137, 'Micronesia', 'FM', 'FSM', 583, 'USD', 'Dollar', '$', 'FM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (138, 'Moldova', 'MD', 'MDA', 498, 'MDL', 'Leu', NULL, 'MD.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (139, 'Monaco', 'MC', 'MCO', 492, 'EUR', 'Euro', '€', 'MC.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (140, 'Mongolia', 'MN', 'MNG', 496, 'MNT', 'Tugrik', '₮', 'MN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (141, 'Montserrat', 'MS', 'MSR', 500, 'XCD', 'Dollar', '$', 'MS.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (142, 'Morocco', 'MA', 'MAR', 504, 'MAD', 'Dirham', NULL, 'MA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (143, 'Mozambique', 'MZ', 'MOZ', 508, 'MZN', 'Meticail', 'MT', 'MZ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (144, 'Myanmar', 'MM', 'MMR', 104, 'MMK', 'Kyat', 'K', 'MM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (145, 'Namibia', 'NA', 'NAM', 516, 'NAD', 'Dollar', '$', 'NA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (146, 'Nauru', 'NR', 'NRU', 520, 'AUD', 'Dollar', '$', 'NR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (147, 'Nepal', 'NP', 'NPL', 524, 'NPR', 'Rupee', '₨', 'NP.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (148, 'Netherlands', 'NL', 'NLD', 528, 'EUR', 'Euro', '€', 'NL.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (149, 'Netherlands Antilles', 'AN', 'ANT', 530, 'ANG', 'Guilder', 'ƒ', 'AN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (150, 'New Caledonia', 'NC', 'NCL', 540, 'XPF', 'Franc', NULL, 'NC.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (151, 'New Zealand', 'NZ', 'NZL', 554, 'NZD', 'Dollar', '$', 'NZ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (152, 'Nicaragua', 'NI', 'NIC', 558, 'NIO', 'Cordoba', 'C$', 'NI.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (153, 'Niger', 'NE', 'NER', 562, 'XOF', 'Franc', NULL, 'NE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (154, 'Nigeria', 'NG', 'NGA', 566, 'NGN', 'Naira', '₦', 'NG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (155, 'Niue', 'NU', 'NIU', 570, 'NZD', 'Dollar', '$', 'NU.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (156, 'Norfolk Island', 'NF', 'NFK', 574, 'AUD', 'Dollar', '$', 'NF.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (157, 'North Korea', 'KP', 'PRK', 408, 'KPW', 'Won', '₩', 'KP.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (158, 'Northern Mariana Islands', 'MP', 'MNP', 580, 'USD', 'Dollar', '$', 'MP.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (159, 'Norway', 'NO', 'NOR', 578, 'NOK', 'Krone', 'kr', 'NO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (160, 'Oman', 'OM', 'OMN', 512, 'OMR', 'Rial', '﷼', 'OM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (161, 'Pakistan', 'PK', 'PAK', 586, 'PKR', 'Rupee', '₨', 'PK.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (162, 'Palau', 'PW', 'PLW', 585, 'USD', 'Dollar', '$', 'PW.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (163, 'Palestinian Territory', 'PS', 'PSE', 275, 'ILS', 'Shekel', '₪', 'PS.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (164, 'Panama', 'PA', 'PAN', 591, 'PAB', 'Balboa', 'B/.', 'PA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (165, 'Papua New Guinea', 'PG', 'PNG', 598, 'PGK', 'Kina', NULL, 'PG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (166, 'Paraguay', 'PY', 'PRY', 600, 'PYG', 'Guarani', 'Gs', 'PY.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (167, 'Peru', 'PE', 'PER', 604, 'PEN', 'Sol', 'S/.', 'PE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (168, 'Philippines', 'PH', 'PHL', 608, 'PHP', 'Peso', 'Php', 'PH.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (169, 'Pitcairn', 'PN', 'PCN', 612, 'NZD', 'Dollar', '$', 'PN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (170, 'Poland', 'PL', 'POL', 616, 'PLN', 'Zloty', 'zł', 'PL.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (171, 'Portugal', 'PT', 'PRT', 620, 'EUR', 'Euro', '€', 'PT.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (172, 'Puerto Rico', 'PR', 'PRI', 630, 'USD', 'Dollar', '$', 'PR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (173, 'Qatar', 'QA', 'QAT', 634, 'QAR', 'Rial', 'QAR', 'QA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (174, 'Republic of the Congo', 'CG', 'COG', 178, 'XAF', 'Franc', 'FCF', 'CG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (175, 'Reunion', 'RE', 'REU', 638, 'EUR', 'Euro', '€', 'RE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (176, 'Romania', 'RO', 'ROU', 642, 'RON', 'Leu', 'lei', 'RO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (177, 'Russia', 'RU', 'RUS', 643, 'RUB', 'Ruble', 'руб', 'RU.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (178, 'Rwanda', 'RW', 'RWA', 646, 'RWF', 'Franc', NULL, 'RW.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (179, 'Saint Helena', 'SH', 'SHN', 654, 'SHP', 'Pound', '£', 'SH.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (180, 'Saint Kitts and Nevis', 'KN', 'KNA', 659, 'XCD', 'Dollar', '$', 'KN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (181, 'Saint Lucia', 'LC', 'LCA', 662, 'XCD', 'Dollar', '$', 'LC.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (182, 'Saint Pierre and Miquelon', 'PM', 'SPM', 666, 'EUR', 'Euro', '€', 'PM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (183, 'Saint Vincent and the Grenadines', 'VC', 'VCT', 670, 'XCD', 'Dollar', '$', 'VC.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (184, 'Samoa', 'WS', 'WSM', 882, 'WST', 'Tala', 'WS$', 'WS.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (185, 'San Marino', 'SM', 'SMR', 674, 'EUR', 'Euro', '€', 'SM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (186, 'Sao Tome and Principe', 'ST', 'STP', 678, 'STD', 'Dobra', 'Db', 'ST.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (187, 'Saudi Arabia', 'SA', 'SAU', 682, 'SAR', 'Rial', '﷼', 'SA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (188, 'Senegal', 'SN', 'SEN', 686, 'XOF', 'Franc', NULL, 'SN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (189, 'Serbia and Montenegro', 'CS', 'SCG', 891, 'RSD', 'Dinar', 'Дин', 'CS.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (190, 'Seychelles', 'SC', 'SYC', 690, 'SCR', 'Rupee', '₨', 'SC.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (191, 'Sierra Leone', 'SL', 'SLE', 694, 'SLL', 'Leone', 'Le', 'SL.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (192, 'Singapore', 'SG', 'SGP', 702, 'SGD', 'Dollar', '$', 'SG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (193, 'Slovakia', 'SK', 'SVK', 703, 'SKK', 'Koruna', 'Sk', 'SK.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (194, 'Slovenia', 'SI', 'SVN', 705, 'EUR', 'Euro', '€', 'SI.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (195, 'Solomon Islands', 'SB', 'SLB', 90, 'SBD', 'Dollar', '$', 'SB.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (196, 'Somalia', 'SO', 'SOM', 706, 'SOS', 'Shilling', 'S', 'SO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (197, 'South Africa', 'ZA', 'ZAF', 710, 'ZAR', 'Rand', 'R', 'ZA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (198, 'South Georgia and the South Sandwich Islands', 'GS', 'SGS', 239, 'GBP', 'Pound', '£', 'GS.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (199, 'South Korea', 'KR', 'KOR', 410, 'KRW', 'Won', '₩', 'KR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (200, 'Spain', 'ES', 'ESP', 724, 'EUR', 'Euro', '€', 'ES.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (201, 'Sri Lanka', 'LK', 'LKA', 144, 'LKR', 'Rupee', '₨', 'LK.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (202, 'Sudan', 'SD', 'SDN', 736, 'SDD', 'Dinar', NULL, 'SD.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (203, 'Suriname', 'SR', 'SUR', 740, 'SRD', 'Dollar', '$', 'SR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (204, 'Svalbard and Jan Mayen', 'SJ', 'SJM', 744, 'NOK', 'Krone', 'kr', 'SJ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (205, 'Swaziland', 'SZ', 'SWZ', 748, 'SZL', 'Lilangeni', NULL, 'SZ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (206, 'Sweden', 'SE', 'SWE', 752, 'SEK', 'Krona', 'kr', 'SE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (207, 'Switzerland', 'CH', 'CHE', 756, 'CHF', 'Franc', 'CHF', 'CH.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (208, 'Syria', 'SY', 'SYR', 760, 'SYP', 'Pound', '£', 'SY.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (209, 'Taiwan', 'TW', 'TWN', 158, 'TWD', 'Dollar', 'NT$', 'TW.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (210, 'Tajikistan', 'TJ', 'TJK', 762, 'TJS', 'Somoni', NULL, 'TJ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (211, 'Tanzania', 'TZ', 'TZA', 834, 'TZS', 'Shilling', NULL, 'TZ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (212, 'Thailand', 'TH', 'THA', 764, 'THB', 'Baht', '฿', 'TH.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (213, 'Togo', 'TG', 'TGO', 768, 'XOF', 'Franc', NULL, 'TG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (214, 'Tokelau', 'TK', 'TKL', 772, 'NZD', 'Dollar', '$', 'TK.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (215, 'Tonga', 'TO', 'TON', 776, 'TOP', 'Pa''anga', 'T$', 'TO.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (216, 'Trinidad and Tobago', 'TT', 'TTO', 780, 'TTD', 'Dollar', 'TT$', 'TT.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (217, 'Tunisia', 'TN', 'TUN', 788, 'TND', 'Dinar', NULL, 'TN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (218, 'Turkey', 'TR', 'TUR', 792, 'TRY', 'Lira', 'YTL', 'TR.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (219, 'Turkmenistan', 'TM', 'TKM', 795, 'TMM', 'Manat', 'm', 'TM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (220, 'Turks and Caicos Islands', 'TC', 'TCA', 796, 'USD', 'Dollar', '$', 'TC.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (221, 'Tuvalu', 'TV', 'TUV', 798, 'AUD', 'Dollar', '$', 'TV.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (222, 'U.S. Virgin Islands', 'VI', 'VIR', 850, 'USD', 'Dollar', '$', 'VI.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (223, 'Uganda', 'UG', 'UGA', 800, 'UGX', 'Shilling', NULL, 'UG.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (224, 'Ukraine', 'UA', 'UKR', 804, 'UAH', 'Hryvnia', '₴', 'UA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (225, 'United Arab Emirates', 'AE', 'ARE', 784, 'AED', 'Dirham', NULL, 'AE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (226, 'United Kingdom', 'GB', 'GBR', 826, 'GBP', 'Pound', '£', 'GB.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (227, 'United States', 'US', 'USA', 840, 'USD', 'Dollar', '$', 'US.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (228, 'United States Minor Outlying Islands', 'UM', 'UMI', 581, 'USD', 'Dollar ', '$', 'UM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (229, 'Uruguay', 'UY', 'URY', 858, 'UYU', 'Peso', '$U', 'UY.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (230, 'Uzbekistan', 'UZ', 'UZB', 860, 'UZS', 'Som', 'лв', 'UZ.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (231, 'Vanuatu', 'VU', 'VUT', 548, 'VUV', 'Vatu', 'Vt', 'VU.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (232, 'Vatican', 'VA', 'VAT', 336, 'EUR', 'Euro', '€', 'VA.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (233, 'Venezuela', 'VE', 'VEN', 862, 'VEF', 'Bolivar', 'Bs', 'VE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (234, 'Vietnam', 'VN', 'VNM', 704, 'VND', 'Dong', '₫', 'VN.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (235, 'Wallis and Futuna', 'WF', 'WLF', 876, 'XPF', 'Franc', NULL, 'WF.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (236, 'Western Sahara', 'EH', 'ESH', 732, 'MAD', 'Dirham', NULL, 'EH.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (237, 'Yemen', 'YE', 'YEM', 887, 'YER', 'Rial', '﷼', 'YE.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (238, 'Zambia', 'ZM', 'ZMB', 894, 'ZMK', 'Kwacha', 'ZK', 'ZM.png')");
            tx.executeSql("INSERT INTO moedas (id_countries, name, iso_alpha2, iso_alpha3, iso_numeric, currency_code, currency_name, currrency_symbol, flag) VALUES (239, 'Zimbabwe', 'ZW', 'ZWE', 716, 'ZWD', 'Dollar', 'Z$', 'ZW.png')");

        },



        errorCB: function(tx, err) {
            app.alerta("Error","An unexpected error has occurred. Please try again.","OK",1);
            alert("DB error : " + err.message);
        },
        successCB: function(tx, result){
            //console.log(result);
        },



        


        //CLIENTES
        insert_client: function(nome,telefone,email,morada){
            this.db.transaction (function (transaction) 
              {
                var sql = "INSERT INTO clientes (nome,telefone,email,morada) VALUES (?, ?, ?, ?)";
                transaction.executeSql (sql, [nome,telefone,email,morada], function ()
                { 

                    app.alerta("Success","Client successfully added.","OK","check","clientes");
                    app.reset_form();
                    
                }, database.errorCB);
            });
        },



        list_client: function(){
            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM clientes";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                          var html = "";
                          if (result.rows.length)
                          {
                            $("#listagem_clientes ul#lista_clientes").empty();
                            for (var i = 0; i < result.rows.length; i++) 
                            {
                              var row = result.rows.item (i);

                              var id_cliente = row.id;
                              var nome_cliente = row.nome;
                              var telefone_cliente = row.telefone;
                              var email_cliente = row.email;

                              if(telefone_cliente != ""){
                                telefone_cliente2 = " / "+telefone_cliente;
                              } else {
                                telefone_cliente2 = "";
                              }

                              //var telefone_cliente = row.fname;
                              html += "<li class='arrow' id='"+ id_cliente +"'><a href='#'><strong class='searchable'>" + nome_cliente + "</strong><small class='searchable'>"+ email_cliente + telefone_cliente2 +"</small></a></li>";
                            }

                          }
                          else
                          {
                            html += "<li class='none'><span class='icon info-sign'></span></br><p>No clients found.</br>Tap + to create one.</p></li>";
                          }
                          
                          
                          $("#listagem_clientes ul#lista_clientes").append(html);
                          Lungo.Notification.hide();
                          $("#listagem_clientes ul#lista_clientes").sortList();
                          
                        }, database.errorCB);
                      });
                    
        },


        get_client_data: function(id){
            
            app.reset_form();
            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM clientes where id='"+id+"'";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {

                          if (result.rows.length)
                          {
                            
                            for (var i = 0; i < result.rows.length; i++) 
                            {
                              var row = result.rows.item (i);

                              var id_cliente = row.id;
                              var nome_cliente = row.nome;
                              var telefone_cliente = row.telefone;
                              var email_cliente = row.email;
                              var morada_cliente = row.morada;

                              if(telefone_cliente != ""){
                                telefone_cliente2 = telefone_cliente;
                              } else {
                                telefone_cliente2 = "";
                              }

                              //var telefone_cliente = row.fname;
                              $("fieldset.edit_client_form #name").val(nome_cliente);
                              $("fieldset.edit_client_form #phone").val(telefone_cliente);
                              $("fieldset.edit_client_form #email").val(email_cliente);
                              $("fieldset.edit_client_form #morada").val(morada_cliente);

                              $("fieldset.edit_client_form #id_cliente").val(id_cliente);
                              $("section#edit_cliente header a.delete_client").attr("rel",id_cliente);

                              Lungo.Router.section("edit_cliente");
                              Lungo.Notification.hide();
                            }

                          }
                          else
                          {
                            database.errorCB();
                          }
                          
                        
                          
                        }, database.errorCB);
            });
                    
        },

        update_client: function(nome,telefone,email,morada,id_cliente32){
            //alert(id_cliente32);
            this.db.transaction (function (transaction) 
                      {
                        var sql = "UPDATE clientes set nome='"+nome+"', morada='"+morada+"', telefone='"+telefone+"', email='"+email+"' where id='"+id_cliente32+"'";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                            app.alerta("Success","Client successfully edited.","OK","check","clientes");

                        }, database.errorCB);
            });
            
        },

        delete_client: function(id_cliente32){
            //alert(id_cliente32);
            this.db.transaction (function (transaction) 
                      {
                        var sql = "DELETE from clientes where id='"+id_cliente32+"'";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                            app.alerta("Success","Client successfully deleted.","OK","check","clientes");

                        }, database.errorCB);
            });
            
        },



        //PRODUTOS -----------------------------------------------------------------------------------------------------

        insert_produto: function(name,preco,tax,descricao,add_proposta){
            console.log("add_propost22:");
            
            this.db.transaction (function (transaction) 
              {
                var sql = "INSERT INTO produtos (nome,descricao,preco,iva) VALUES (?, ?, ?, ?)";
                transaction.executeSql (sql, [name,descricao,preco,tax], function (tx,result)
                { 
                    
                    if(add_proposta == "1"){


                        //ADICIONA À LISTA DE PRODUTOS NA PROPOSTA
                        var currency_sinbolo2 = window.localStorage.getItem("currency_sinbolo");
                        var id_do_produto = result.insertId;
                        var html_lista = ''+
                        '<li rel="'+preco+'" total="'+preco+'" id="'+id_do_produto+'" tax="'+tax+'" descricao="'+descricao+'" >'+
                            '<div class="name">'+name+'</div>'+
                            '<a href="#" class="action order edit" data-icon="edit"><span class="icon edit"></span></a>'+
                            '<a href="#" class="action order" data-icon="menu"><span class="icon menu"></span></a>'+
                            '<a href="#" class="action delete" data-icon="remove"><span class="icon remove"></span></a>'+
                            '<div class="details_produto">'+
                                '<a class="plus" data-icon="plus-sign" rel="+"><span class="icon plus-sign"></span></a>'+
                                '<a class="minus" data-icon="minus-sign" rel="-"><span class="icon minus-sign"></span></a>'+
                                '<div class="valor_produto"><span>1</span> x <strong>'+preco+''+currency_sinbolo2+'</strong></div>'+
                            '</div>'+
                            '<div class="valor_total_produto"></div>'+
                        '</li>';

                        
                        $("#add_proposta ul.product_proposal_list").append(html_lista);


                        app.alerta("Success","Item successfully added.","OK","check","add_proposta");
                        app.reset_form();
                        database.update_total_proposta();
                        $("#add_produto  #add_proposta").val("");
                        console.log("adiciona na proposta");
                        console.log('Returned ID: ' + result.insertId);
                    } else {
                        app.alerta("Success","Item successfully added.","OK","check","produtos");
                        app.reset_form();
                    }
                    
                }, database.errorCB);
            });
        },


        update_total_proposta: function(){
                    console.log("UPDATE: Total da Proposta");

                    var sum2 = 0;
                    $('ul.product_proposal_list li').each(function(){

                        if($(this).length > 0){
                            sum2+=parseFloat($(this).attr("total"));  
                        }

                    });     

                    var new_valor_proposta = sum2;

                    $("section#add_proposta .horizontal.total .number").text(new_valor_proposta);
        },


        list_produtos: function(){
            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM produtos";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                          var html = "";
                          if (result.rows.length)
                          {
                            $("#listagem_produtos ul#lista_produtos").empty();
                            for (var i = 0; i < result.rows.length; i++) 
                            {
                              var row = result.rows.item (i);

                              var id_produto = row.id;
                              var nome_produto = row.nome;
                              var preco_produto = row.preco;

                              //var symbol = database.get_currency_symbol();

                              var currency_sinbolo = window.localStorage.getItem("currency_sinbolo");
                              //var telefone_cliente = row.fname;
                              html += "<li class='arrow' id='"+ id_produto +"'><a href='#'><strong class='searchable'>" + nome_produto + "</strong><small>"+ preco_produto +" "+currency_sinbolo+"<span class='simbolo2'></span></small></a></li>";
                            }

                          }
                          else
                          {
                            html += "<li class='none'><span class='icon info-sign'></span></br><p>No items found.</br>Tap + to create one.</p></li>";
                          }
                          
                          
                          $("#listagem_produtos ul#lista_produtos").append(html);
                          Lungo.Notification.hide();
                          $("#listagem_produtos ul#lista_produtos").sortList();
                          
                        }, database.errorCB);
                      });
                    
        },


        get_produto_data: function(id,action){
            
            
            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM produtos where id='"+id+"'";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {

                          if (result.rows.length)
                          {
                            if(action != "proposta"){
                                app.reset_form();
                            }
                            
                            for (var i = 0; i < result.rows.length; i++) 
                            {
                              var row = result.rows.item (i);

                              var id_produto = row.id;
                              var nome_produto = row.nome;
                              var preco_produto = row.preco;
                              var tax_produto = row.iva;
                              var descricao_produto = row.descricao;


                              //var telefone_cliente = row.fname;
                              $("fieldset.edit_produto_form #name").val(nome_produto);
                              $("fieldset.edit_produto_form #preco").val(preco_produto);
                              $("fieldset.edit_produto_form #tax").val(tax_produto);
                              $("fieldset.edit_produto_form #descricao").val(descricao_produto);

                              $("fieldset.edit_produto_form #id_produto").val(id_produto);
                              $("section#edit_produto header a.delete_produto").attr("rel",id_produto);

                              Lungo.Router.section("edit_produto");
                              Lungo.Notification.hide();
                            }

                          }
                          else
                          {
                            database.errorCB();
                          }
                          
                        
                          
                        }, database.errorCB);
            });
                    
        },

        update_produto: function(nome,preco,iva,descricao,id_produto32,action){
            //alert(id_cliente32);
            this.db.transaction (function (transaction) 
                      {
                        var sql = "UPDATE produtos set nome='"+nome+"', preco='"+preco+"', iva='"+iva+"', descricao='"+descricao+"' where id='"+id_produto32+"'";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {

                            if(action == "proposta"){
                                $("section#add_proposta ul.product_proposal_list").find('li#'+id_produto32).each(function(i)
                                {
                                    //var quantidade = $(this).find(".valor_produto span").text();
                                    var currency_sinbolo2 = window.localStorage.getItem("currency_sinbolo");
                                    var quantidade_produto = $(this).find('.valor_produto span').text();
                                    var preco_total_produto = parseFloat(quantidade_produto)*parseFloat(preco);
                                    $(this).attr('rel',preco);
                                    $(this).find('.valor_produto strong').text(preco+" "+currency_sinbolo2);
                                    $(this).attr('total',preco_total_produto);
                                    $(this).attr('descricao',descricao);
                                    $(this).attr('tax',iva);
                                    $(this).find('.name').text(nome);
                                    
                                    //console.log("NOME: "+nome);
                                    console.log("NOME: "+nome);
                                });
                                $("section#edit_produto").removeClass("proposta_produto");
                                app.alerta("Success","Item successfully edited.","OK","check","add_proposta");
                            } else {
                                app.alerta("Success","Item successfully edited.","OK","check","produtos");
                            }
                            database.update_total_proposta();

                        }, database.errorCB);
            });
            
        },

        delete_produto: function(id_produto32,action){
            //alert(id_cliente32);
            this.db.transaction (function (transaction) 
                      {
                        var sql = "DELETE from produtos where id='"+id_produto32+"'";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                            if(action == "proposta"){
                                $("section#add_proposta ul.product_proposal_list").find('li#'+id_produto32).remove();

                                app.alerta("Success","Item successfully deleted.","OK","check","add_proposta");
                            } else {
                                app.alerta("Success","Item successfully deleted.","OK","check","produtos");
                            }
                            

                        }, database.errorCB);
            });
            
        },


        //PROPOSTAS -----------------------------------------------------------------------------------------------------

        data_current: function(){
            var d = new Date();

            var month = d.getMonth()+1;
            var day = d.getDate();

            var output = ((''+day).length<2 ? '0' : '') + day + '/' +
                ((''+month).length<2 ? '0' : '') + month + '/' +
                d.getFullYear();
            return output;
        },

        save_proposta: function(title,client,message,produtos,id,total,data){

            if(id == ""){
                console.log("Salva proposta");
                this.db.transaction (function (transaction) 
                  {
                    var sql = "INSERT INTO propostas (title,client,message,produtos,total,data) VALUES (?, ?, ?, ?, ?, ?)";
                    transaction.executeSql (sql, [title,client,message,produtos,total,data], function (tx,result)
                    { 
                        console.log('Returned ID: ' + result.insertId);
                        $("section#add_proposta fieldset#proposta_fieldset").attr("rel",result.insertId);
                        app.alerta("Success","Proposal successfully saved.","OK","check","");
                        $("section#add_proposta header").append('<nav class="on-right"> <a href="#" class="delete_proposta" data-icon="remove-circle" rel="'+result.insertId+'"><span class="icon remove-circle"></span></a></nav>');
 
                    }, database.errorCB);
                });
            } else {
                console.log("Edita proposta");
                this.db.transaction (function (transaction) 
                      {
                        var sql = "UPDATE propostas set title='"+title+"', client='"+client+"', message='"+message+"', produtos='"+produtos+"', total='"+total+"', data='"+data+"' where id='"+id+"'";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {

                            app.alerta("Success","Proposal successfully saved.","OK","check","");

                        }, database.errorCB);
                });
            }
        },


        get_cliente_name: function(id, callBack){ 
           var result = [];
           /*
           this.db.transaction(function (tx) {
              tx.executeSql(query, [], function(tx, rs){
                 for(var i=0; i<rs.rows.length; i++) {
                    var row = rs.rows.item(i)
                    result[i] = { nome: row['id'] }
                 }
                 console.log(result);
                 callBack(result); // <-- new bit here
              }, database.errorCB);
           });
           */

            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM clientes where id='"+id+"' LIMIT 1";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result32)
                        {
                          if (result32.rows.length)
                          {
                            for (var i = 0; i < result32.rows.length; i++) 
                            {
                              row32 = result32.rows.item (0);
                              //var nome_do_cliente = row32.nome;
                              //console.log(row32.nome);
                              xpto = row32.nome;
                            }
                            callBack(xpto);
                          }

                          
                        }, database.errorCB);
            });
        
            //console.log(this.nome_do_cliente);

        },


        list_proposta: function(){

            $("#main ul#proposal_list").empty();
            app.reset_form();
            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM propostas ORDER BY id DESC";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                          var html = "";
                          if (result.rows.length)
                          {
                                var nome_do_cliente, id_client_proposta, id_client_proposta2;
                                for (var i = 0; i < result.rows.length; i++) 
                                {
                                
                                var row = result.rows.item (i);

                                var id_proposta = row.id;
                                var title_proposta = row.title;
                                var total_proposta = row.total;
                                var data_proposta = row.data;
                                id_client_proposta = row.client;


                                //database.get_cliente_name(id_client_proposta);
                                /*
                                database.get_cliente_name(id_client_proposta, function(nome_do_cliente) {
                                 console.log(nome_do_cliente);
                                 var nome_do_cliente2 = nome_do_cliente;
                                });
                                */

                                //alert(get_cliente_name(id_client_proposta));
                                var currency_sinbolo = window.localStorage.getItem("currency_sinbolo");

                                html += '<li class="arrow" id="'+id_proposta+'">'+
                                        '<a href="#">'+
                                            '<strong class="searchable">'+title_proposta+'</strong>'+
                                            '<small class="searchable"><span class="cliente searchable" rel="'+id_client_proposta+'">-</span></small>'+
                                        '</a>'+
                                        '<div class="more_detais">'+
                                            '<div class="right">'+total_proposta+'<span class="simbolo">'+currency_sinbolo+'</span></div>'+
                                            '<div class="left">'+
                                                '<span class="nr_proposta">#'+id_proposta+'</span>'+
                                                '<span class="date">'+data_proposta+'</span>'+
                                            '</div>'+
                                        '</div>'+
                                    '</li>';
                                }

                          }
                          else
                          {
                            html += "<li class='none'><span class='icon info-sign'></span></br><p>No proposals found.</br>Tap + to create one.</p></li>";
                          }
                          
                          
                          $("ul#proposal_list").append(html);

                          $("ul#proposal_list li").each(function(n) {
                                
                                var esta_li = $(this);
                                var id_do_cliente = esta_li.find(".cliente").attr("rel");
                                console.log(id_do_cliente);
                                database.get_cliente_name(id_do_cliente, function(nome_do_cliente) {
                                    console.log(nome_do_cliente);
                                    esta_li.find(".cliente").text(nome_do_cliente);
                                });
                          });
                          

                          Lungo.Notification.hide();
                          
                        }, database.errorCB);
                      });
            
        },


        get_proposta_data: function(id){

            $("section#add_proposta header .on-right").remove();
            $("#add_proposta fieldset#proposta_fieldset #combo_clientes").empty();
            $("section#add_proposta fieldset#proposta_fieldset").attr("rel","");
            $("fieldset#proposta_fieldset select#combo_clientes").append("<option value=''>Select Client</option>");

            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM clientes";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                          if (result.rows.length)
                          {
                            
                            for (var i = 0; i < result.rows.length; i++) 
                            {
                              var row = result.rows.item (i);

                              var c_id = row.id;
                              var c_name = row.nome;
                              var c_email = row.email;
                              var c_telefone = row.telefone;
                              var c_morada = row.morada;

                             
                              //var telefone_cliente = row.fname;

                              $("fieldset#proposta_fieldset select#combo_clientes").append('<option value="'+c_id+'" email="'+c_email+'" telefone="'+c_telefone+'" morada="'+c_morada+'">'+c_name+'</option>');

                            }

                          } else {
                            database.errorCB();
                          }
                        }, database.errorCB);
            });
            
            
            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM propostas where id='"+id+"'";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {

                          if (result.rows.length)
                          {
                            app.reset_form();
                            for (var i = 0; i < result.rows.length; i++) 
                            {
                              var row = result.rows.item (i);

                              //title,client,message,produtos,total,data

                              var id_proposta = row.id;
                              var title_proposta = row.title;
                              var client_proposta = row.client;
                              var message_proposta = row.message;
                              var produtos_proposta = row.produtos;
                              var total_proposta = row.total;
                              
                              produtos_proposta = JSON.parse(produtos_proposta);
                              console.log(produtos_proposta);
                              var html_lista;
                              var currency_sinbolo = window.localStorage.getItem("currency_sinbolo");

                              $.each( produtos_proposta, function( index, value ){

                                    var id_produto32 = value.id;
                                    var preco_produto32 = value.preco;
                                    var total_produto32 = value.preco_total;
                                    var iva_produto32 = value.iva;
                                    var quantidade_produto32 = value.quantidade;
                                    var nome_produto32 = value.nome;
                                    var descricao_produto32 = value.descricao;

                                    html_lista = ''+
                                    '<li rel="'+preco_produto32+'" total="'+total_produto32+'" id="'+id_produto32+'" tax="'+iva_produto32+'"  descricao="'+descricao_produto32+'">'+
                                        '<div class="name">'+nome_produto32+'</div>'+
                                        '<a href="#" class="action order edit" data-icon="edit"><span class="icon edit"></span></a>'+
                                        '<a href="#" class="action order" data-icon="menu"><span class="icon menu"></span></a>'+
                                        '<a href="#" class="action delete" data-icon="remove"><span class="icon remove"></span></a>'+
                                        '<div class="details_produto">'+
                                            '<a class="plus" data-icon="plus-sign" rel="+"><span class="icon plus-sign"></span></a>'+
                                            '<a class="minus" data-icon="minus-sign" rel="-"><span class="icon minus-sign"></span></a>'+
                                            '<div class="valor_produto"><span>'+quantidade_produto32+'</span> x <strong>'+preco_produto32+''+currency_sinbolo+'</strong></div>'+
                                        '</div>'+
                                        '<div class="valor_total_produto"></div>'+
                                    '</li>';

                                    $("#add_proposta ul.product_proposal_list").append(html_lista);

                              });
                                database.update_total_proposta();
                              
                              //var telefone_cliente = row.fname;
                              $("fieldset#proposta_fieldset #title").val(title_proposta);
                              $("fieldset#proposta_fieldset #message").val(message_proposta);

                              $("fieldset#proposta_fieldset select option").filter(function() {
                                  return this.value == row.client; 
                              }).attr('selected', true);
                              $("section#add_proposta fieldset#proposta_fieldset").attr("rel",id_proposta)
                              $("fieldset#proposta_fieldset #id_proposta").val(id_proposta);
                              

                              $("section#add_proposta header").append('<nav class="on-right"> <a href="#" class="delete_proposta" data-icon="remove-circle" rel="'+id_proposta+'"><span class="icon remove-circle"></span></a></nav>');

                              Lungo.Router.section("add_proposta");
                              Lungo.Notification.hide();
                            }

                          }
                          else
                          {
                            database.errorCB();
                          }
                          
                        
                          
                        }, database.errorCB);
            });

            $("section#add_proposta ul.product_proposal_list").empty();



                    
        },


        delete_proposta: function(id_produto32){
            //alert(id_cliente32);
            this.db.transaction (function (transaction) 
                      {
                        var sql = "DELETE from propostas where id='"+id_produto32+"'";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                            app.alerta("Success","Proposal successfully deleted.","OK","check","main");

                        }, database.errorCB);
            });
            
        },

        

        get_clientes_proposta: function(){
            Lungo.Notification.show();
            console.log("get_clientes_proposta");
            $("#add_proposta select#combo_clientes").empty();
            
            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM clientes";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                          var html = "";
                          if (result.rows.length)
                          {
                            html += "<option value=''>Select Client</option>";
                            
                            for (var i = 0; i < result.rows.length; i++) 
                            {
                              var row = result.rows.item (i);

                                var c_id = row.id;
                                var c_name = row.nome;
                                var c_email = row.email;
                                var c_telefone = row.telefone;
                                var c_morada = row.morada;

                              if(c_telefone != ""){
                                c_telefone = " / "+c_telefone;
                              } else {
                                c_telefone = "";
                              }

                              //var telefone_cliente = row.fname;
                              html += '<option value="'+c_id+'" email="'+c_email+'" telefone="'+c_telefone+'" morada="'+c_morada+'">'+c_name+'</option>';
                            }

                          }
                          else
                          {
                            html += "<option>No clients found.</option>";
                          }
                          
                          
                          $("#add_proposta select#combo_clientes").append(html);
                          Lungo.Notification.hide();
                          
                        }, database.errorCB);
                      });


                        
                    
        },

        proposta_list_produtos: function(){
            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM produtos order by nome ASC";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                          var html = "";
                          if (result.rows.length)
                          {
                            $("section#select_produto ul#lista_produtos2").empty();
                            for (var i = 0; i < result.rows.length; i++) 
                            {
                              var row = result.rows.item (i);

                              var id_produto = row.id;
                              var nome_produto = row.nome;
                              var preco_produto = row.preco;
                              var iva_produto = row.iva;
                              var descricao_produto = row.descricao;

                              //var symbol = database.get_currency_symbol();

                              var currency_sinbolo = window.localStorage.getItem("currency_sinbolo");
                              //var telefone_cliente = row.fname;
                              html += "<li id='"+ id_produto +"' tax='"+iva_produto+"' descricao='"+descricao_produto+"' class=''><a href='#'><strong class='nome searchable'>" + nome_produto + "</strong><small><span class='valor'>"+ preco_produto +"</span><span class='simbolo2'>"+currency_sinbolo+"</span></small></a></li>";
                            }

                          }
                          else
                          {
                            html += "<li class='none'><span class='icon info-sign'></span></br><p>No items found.</br>Tap + to create one.</p></li>";
                          }
                          
                          
                          $("section#select_produto ul#lista_produtos2").append(html);
                          console.log(1);
                          Lungo.Notification.hide();
                          Lungo.Router.section("select_produto");
                          
                        }, database.errorCB);
                      });
                    
        },



        //SETTINGS
        

        update_settings: function(company,address,phone,email,site,currency,currency_symbol,comentario){
            //alert(id_cliente32);
            this.db.transaction (function (transaction) 
                      {
                        var sql = "UPDATE settings set company='"+company+"', morada='"+address+"', telefone='"+phone+"', email='"+email+"', site='"+site+"', moeda='"+currency+"', comentario_email='"+comentario+"' where id='1'";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {

                              window.localStorage.setItem("currency_sinbolo", currency_symbol);
                              window.localStorage.setItem("company_name", company);
                              window.localStorage.setItem("company_morada", address);
                              window.localStorage.setItem("company_telefone", phone);
                              window.localStorage.setItem("company_email", email);
                              window.localStorage.setItem("company_site", site);
                              //window.localStorage.setItem("company_logotipo", logo);
                              window.localStorage.setItem("company_comentario_email", comentario);

                              //window.localStorage.setItem("email_company", email);
                              var currency_sinbolo = window.localStorage.getItem("currency_sinbolo");
                              $(".simbolo").html(" "+currency_sinbolo);

                              $("section#settings nav").show();

                              app.alerta("Success","Settings successfully saved.","OK","check","main");

                        }, database.errorCB);
            });
            
        },


        

        get_settings: function(id){

            
            console.log("get moedas");
            
            //CURRENCY SELECT
            $("fieldset.settings_form select#currency").empty();
            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM moedas";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                          if (result.rows.length)
                          {
                            
                            for (var i = 0; i < result.rows.length; i++) 
                            {
                              var row = result.rows.item (i);

                              var c_id = row.id_countries;
                              var c_name = row.name;
                              var c_symbol = row.currrency_symbol;
                              var c_symbol_name = row.currency_name;
                              var c_code = row.currency_code;

                              if(c_symbol == "" || c_symbol == null ){
                                    c_symbol = c_code;
                              }

                             
                              //var telefone_cliente = row.fname;
                              $("fieldset.settings_form select#currency").append('<option value="'+c_id+'" rel="'+c_symbol+'">'+c_name+' - '+c_symbol+'</option>');

                            }


                          } else {
                            database.errorCB();
                          }
                        }, database.errorCB);
            });

            this.db.transaction (function (transaction) 
                      {
                        var sql = "SELECT * FROM settings";
                        transaction.executeSql (sql, undefined, 
                        function (transaction, result)
                        {
                          if (result.rows.length)
                          {
                            
                            for (var i = 0; i < result.rows.length; i++) 
                            {
                              var row = result.rows.item (i);


                              var s_company = row.company;
                              var s_morada = row.morada;
                              var s_telefone = row.telefone;
                              var s_email = row.email;
                              var s_site = row.site;
                              var s_logo = row.logo;
                              var s_moeda = row.moeda;
                              console.log(s_moeda);
                              var s_comentario_email = row.comentario_email;
                              //alert(s_moeda);
                              $("fieldset.settings_form #company").val(s_company);
                              $("fieldset.settings_form #address").val(s_morada);
                              $("fieldset.settings_form #phone").val(s_telefone);
                              $("fieldset.settings_form #email").val(s_email);
                              $("fieldset.settings_form #site").val(s_site);
                              $("fieldset.settings_form #img_src").val(s_logo);
                              //$("fieldset.settings_form #currency").val(s_moeda);
                              $("fieldset.settings_form #comentario").val(s_comentario_email);
                              $("fieldset.settings_form select#currency").hide();
                              $("fieldset.settings_form select#currency").after("<select class='wait' disabled><option>Please wait...</option></select>");

                              setTimeout(function(){

                                /*
                                $("fieldset.settings_form select#currency option").filter(function() {
                                    console.log(this.value);
                                  return this.value === s_moeda; 
                                }).attr('selected', 'selected');
                                */

                                $("fieldset.settings_form select#currency option").each(function(){
                                  if ($(this).val() === s_moeda){
                                        $(this).attr("selected","selected");
                                  } 
                                });

                                //$("fieldset.settings_form select#currency").find(":selected").append('<option selected="" value="'+this.value+'" rel="'+this.rel+'">'+this.text+' - '+s_moeda+'</option>');
                                
                                $("fieldset.settings_form select.wait").hide();
                                $("fieldset.settings_form select#currency").fadeIn();
                              }, 2500);
                              

                            }

                          } else {
                            database.errorCB();
                          }
                        }, database.errorCB);
            });


            setTimeout(function(){
                Lungo.Notification.hide();
            }, 1000);
                    
        },

};
